( function($) {

    $(document).ready(function(){
        $('.ct-slider').slick({
            slidesToScroll: 1,
            autoplay: true,
            //dots: true,
            prevArrow: $('.ct-slider-container .ct-slider-arrow .prev'),
            nextArrow: $('.ct-slider-container .ct-slider-arrow .next'),
            autoplaySpeed: 5000,
        });

        $('.ct-block-slider').slick({
            slidesToShow: 4,
            slidesToScroll: 1,
            autoplay: true,
            autoplay: true,
            //dots: true,
            prevArrow: $('.block-slider-container .ct-slider-arrow .prev'),
            nextArrow: $('.block-slider-container .ct-slider-arrow .next'),
            autoplaySpeed: 4000,
            responsive: [
                {
                  breakpoint: 1024,
                  settings: {
                    slidesToShow: 4,
                    slidesToScroll: 1,
                  }
                },
                {
                  breakpoint: 992,
                  settings: {
                    slidesToShow: 3,
                    slidesToScroll: 1
                  }
                },
                {
                  breakpoint: 767,
                  settings: {
                    slidesToShow: 2,
                    slidesToScroll: 1
                  }
                },
                {
                  breakpoint: 576,
                  settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1
                  }
                }
              ]
        });

        /* Masonry */
        var $grid = $( '.grid' ).masonry( {
            // options
            itemSelector: '.grid-item',
            hiddenStyle: {
              opacity: 0
            },
            visibleStyle: {
              opacity:1
            },
            horizontalOrder: true
        } );

        /**
         * Keyboard Navigation
         */

        // If Tab key pressed
        $( '.menu-item-has-children' ).on( {
            keyup: function( e ) {
                var keyCode = e.keyCode || e.which;
                if (keyCode == 9) {
                    $( this ).children( 'ul' ).addClass( 'is-focused' );
                }
            }
        } );

        // If Tab key pressed
        $( '.menu-item-has-children' ).keydown(function(e) {
            if( e.which  == 9 ){ // Tab Press
                $( this ).children( '.sub-menu' ).removeClass( 'is-focused' );
                $(this).find( '.sub-menu li:last-child' ).addClass('is-focused');
            }
        } );

        // If Tab + Shift key pressed
        $( '.menu-item' ).keydown( function(e) {
            if( e.which  == 9 ){ // Tab Press
                if( e.shiftKey ) {
                   //Focus previous item
                   if( $( this ).prev().hasClass( 'menu-item-has-children' ) ) {
                       $(this).prev().find( '.sub-menu li:last-child' ).addClass('is-focused').focus();
                   }
                }
            }
        } );

        // If focus out
        $( '.menu-item-has-children .sub-menu' ).focusout(function( e ){
            if ( $( this ).children('.menu-item-has-children').length === 0 ) {
                $( this ).removeClass( 'is-focused' );
                $( this ).parents( '.is-focused' ).removeClass( 'is-focused' );
            }
        } );

        /**
         * Mobile Navigation
         */

        $shown = false;
        $plus_rotate = false;
        $( '.js-mobile-close-icon' ).on( 'keydown', function( e ){
            var key = e.which;

            // Tab KeyPress
            if( key == 9 ) {
                if ( e.shiftKey ) {
                    $( '.mobile-navigation' ).removeClass( 'mobile-navigation-open' );
                }
            }
        } );

        $( '.mobile-navigation .js-mobile-close-icon' ).focusout( function( e ){
            $( this ).parents().find( '.main-nav>li:first-child a' ).focus();
        });

        $( '.js-mobile-close-icon' ).on( 'click', function( e ){
            e.preventDefault();
            $( '.mobile-navigation' ).toggleClass( 'mobile-navigation-open' );
            $( '.js-mobile-icon' ).toggleClass( 'ct-icon-rotate-45' );
        } );

        // Caret rotate
        $caret_rotate = false;
        $( '.js-toggle-class' ).on( 'click', function(){
            $( this ).toggleClass( 'ct-icon-rotate-180 ct-expand' );
            $( this ).next().slideToggle();
        });

        // inside mobile mobile menu close icon
        $( '.js-menu-close-icon' ).on( 'click', function(){
            $( '.mobile-navigation' ).removeClass( 'mobile-navigation-open' );
            $( '.js-mobile-close-icon' ).removeClass( 'ct-icon-rotate-45' );
        } );

        // Header Search Form
        $( '.js-search-icon' ).on( 'click', function( e ) {
            e.preventDefault();
            $( this ).siblings( '.header-search-form' ).addClass( 'header-search-form-open' );
            $( this ).siblings( '.header-search-form' ).find( '.search-field' ).css( "visibility", 'visible' ).focus();
            $( this ).siblings( '.search-overlay' ).addClass( 'search-overlay-open' );
        } );

        // Header Search Form: If Tab + Shift key pressed
        $( '.search-field' ).keydown( function(e) {
            if( e.which  == 9 ){ // Tab Press
                if( e.shiftKey ) {
                    $( '.header-search-form' ).removeClass( 'header-search-form-open' );
                    $( '.search-overlay' ).removeClass( 'search-overlay-open' );
                }
            }
        } );

        // On Close Key Press
        $( '#close' ).on( 'click', function( e ){
            e.preventDefault();
            $( this ).parent().removeClass( 'header-search-form-open' );
            $( this ).parent().siblings( '.search-overlay' ).removeClass( 'search-overlay-open' );
        } );

        // On Close Tab Key Press
        $( '#close' ).focusout( function( e ){
            // Tab KeyPress
            $( this ).siblings( '.search-form' ).find( 'input' ).focus();
        });

        // Change focus to input field after enter key press
        $( '.js-search-icon' ).keydown( function( e ){
            if ( e.which == 13 ) { // Enter Press
                $( this ).parents().find( '.container' ).siblings( '.header-search-form' ).find( '.search-submit' ).addClass( 'header-search-form-open' );
                $( this ).parents().find( '.container' ).siblings( '.header-search-form' ).find( '.search-submit' ).focus();
            }
        });

        // On Escape Key Press
        $( document ).keyup(function(e) {
             if (e.key === "Escape") { // escape key maps to keycode `27`
               $( '.header-search-form' ).removeClass( 'header-search-form-open' );
               $( '.search-overlay' ).removeClass( 'search-overlay-open' );

               $( '.mobile-navigation' ).removeClass( 'mobile-navigation-open' );
               $( '.js-mobile-icon' ).removeClass( 'ct-icon-rotate-45' );
            }
        });

        // Header Search Form
        $( '.js-search-icon' ).on( 'click', function( e ) {
            e.preventDefault();
            $( this ).parents().find( '.container' ).siblings( '.header-search-form' ).addClass( 'header-search-form-open' );
            $( this ).parents().find( '.container' ).siblings( '.search-overlay' ).addClass( 'search-overlay-open' );
        } );

        // On Close Key Press
        $( '#close' ).on( 'click', function( e ){
            e.preventDefault();
            $( this ).parent().removeClass( 'header-search-form-open' );
            $( this ).parent().siblings( '.search-overlay' ).removeClass( 'search-overlay-open' );
        } );

        // On Close Tab Key Press
        $( '#close' ).focusout( function( e ){
            // Tab KeyPress
            $( this ).siblings( '.search-form' ).find( 'input' ).focus();
        });

        // Change focus to input field after enter key press
        $( '.js-search-icon' ).keydown( function( e ){
            if ( e.which == 13 ) { // Enter Press
                $( this ).parents().find( '.container' ).siblings( '.header-search-form' ).find( '.search-submit' ).addClass( 'header-search-form-open' );
                $( this ).parents().find( '.container' ).siblings( '.header-search-form' ).find( '.search-submit' ).focus();
            }
        });

        // On Escape Key Press
        $( document ).keyup(function(e) {
             if (e.key === "Escape") { // escape key maps to keycode `27`
               $( '.header-search-form' ).removeClass( 'header-search-form-open' );
               $( '.search-overlay' ).removeClass( 'search-overlay-open' );

               $( '.mobile-navigation' ).removeClass( 'mobile-navigation-open' );
               $( '.js-mobile-icon' ).removeClass( 'ct-icon-rotate-45' );
            }
        });
    });

    $(document).ready(function(){
      $('.ct-marquee').marquee({
        //duration in milliseconds of the marquee
        duration: 20000,
        //gap in pixels between the tickers
        gap: 0,
        //time in milliseconds before the marquee will start animating
        delayBeforeStart: 0,
        //'left' or 'right'
        //direction: 'left',
        //true or false - should the marquee be duplicated to show an effect of continues flow
        duplicated: true,
        pauseOnHover: true,
        startVisible: true
      });
    });

    // Image Hover effecr
    $('.featured-image img').hover(function() {
        $( this ).addClass( 'ct-zoomed' );
    }, function() {
        $( this ).removeClass( 'ct-zoomed' );
    });

    // Slider image hover effect
    $('.ct-slide').hover(function() {
        $( this ).find( '.ct-slide-bg' ).addClass( 'ct-zoomed' );
    }, function() {
        $( this ).find( '.ct-slide-bg' ).removeClass( 'ct-zoomed' );
    });

    // Top Side by side section image hover effect
    $('.ct-sbs-post-excerpt').hover(function() {
        $( this ).find( '.content-left img' ).addClass( 'ct-zoomed' );
    }, function() {
        $( this ).find( '.content-left img' ).removeClass( 'ct-zoomed' );
    });

} )( jQuery );


















