<?php

/***************************************************************************************************
 * Enqueue all CSS and JS
 ***************************************************************************************************/

if ( ! function_exists( 'spark_news_enqueue_cs_js' ) ) :

function spark_news_enqueue_cs_js() {

    $spark_news_primary_color  = esc_attr( get_theme_mod( 'spark_news_primary_color_setting' ) ); //E.g. #FF0000
    $spark_news_custom_css     = "
        .prr-category a,
        .display-tag a,
        .ct-social li a:hover,
        a:hover,
        .ct-masonry .post-content .ct-read-more a:hover,
        .site-navigation .main-nav .menu-item-has-children > a:after{
            color: {$spark_news_primary_color};
        }
        .post-slide-hor-arrow div, .post-slide-hor-2-arrow div,
        .link-pages .current .page-numbers,
        .post-content a.post-page-numbers:hover span,
        .ct-exclusive-posts .ct-exclusive-now,
        .pagination .nav-links .page-numbers,
        .ct-slider-arrow :hover {
            background: {$spark_news_primary_color};
        }
        .ct-content-area .entry-content a
        {
            color: {$spark_news_primary_color};
            border-bottom: 1px solid $spark_news_primary_color;
        }
        .ct-content-area .entry-content a:hover{
            background-color: $spark_news_primary_color;
            border-bottom: 1px solid $spark_news_primary_color;
        }
        .ct-masonry .ct-list-heading .ct-heading {
            border-bottom: 2px solid $spark_news_primary_color;
        }
        .ct-scroll-bar{
            background-color: $spark_news_primary_color;
        }

        .animated-underline {
            background-image: linear-gradient(180deg, transparent 90%, $spark_news_primary_color 0);
        }

        .ct-title{
            background-image: linear-gradient(180deg, transparent 60%, $spark_news_primary_color 0);
        }

        blockquote {
            border-left: 10px solid $spark_news_primary_color;
        }

        .main-nav>.menu-item-has-children:hover>ul,
        .site-navigation .main-nav .menu-item-has-children > .sub-menu,
        .main-nav>.has-children:hover>ul,
        .mobile-nav>li{
            border-bottom: 1px solid $spark_news_primary_color;
        }
        .main-nav .menu-item-has-children .menu-item-has-children>ul,
        .site-navigation .main-nav .menu-item-has-children .sub-menu .menu-item-has-children .sub-menu,
        .main-nav .has-sub-children>ul,
        .nav-parent{
            border-left: 1px solid $spark_news_primary_color;
        }

        .newsletter-area .newsletter-form input[type=\"submit\"]{
            background-color: {$spark_news_primary_color};
            border: 1px solid {$spark_news_primary_color};

            box-shadow: 0px 3px 12px {$spark_news_primary_color};
        }
        .prr-instagram-feed .sbi_follow_btn:before {
            border: 1px solid $spark_news_primary_color;
        }
        .prr-instagram-feed #sb_instagram svg:not(:root).svg-inline--fa {
            color:{$spark_news_primary_color};
        }
        .footer,.entry-footer {
            border-top: 2px solid $spark_news_primary_color;
        }
        .footer-site-info,
        .u-full-width,
        .footer .ct-credits{
            border-top: 1px solid $spark_news_primary_color;
        }
        input:hover, input[type=\"text\"]:hover,
        input[type=\"email\"]:hover,
        input[type=\"url\"]:hover,
        textarea:hover,
        .form-submit #submit {
            border-bottom-color: $spark_news_primary_color;
        }
        .prr-cat-tag {
            background: $spark_news_primary_color;
            box-shadow: 0px 3px 12px {$spark_news_primary_color};
        }
        .next-post-wrap:before, .previous-post-wrap:before {
            color: {$spark_news_primary_color};
        }
        .slick-slider .slick-dots{
            background-color: {$spark_news_primary_color};
        }
        ";

    wp_enqueue_style( 'spark-news-gfonts', spark_news_fonts_url(), array(), '1.0.0' );
    wp_enqueue_style( 'spark-news-normalize', get_template_directory_uri() . '/assets/css/normalize.css', array(), '1.0.0', 'all' );
    wp_enqueue_style( 'spark-news-icofont', get_template_directory_uri() . '/assets/css/icofont.min.css', array(), '1.0.0', 'all' );
    wp_enqueue_style( 'spark-news-bootstrap-grid', get_template_directory_uri() . '/assets/css/bootstrap-grid.css', array(), '1.0.0', 'all' );
    wp_enqueue_style( 'spark-news-main-style', get_template_directory_uri() . '/assets/css/main.css', array(), '1.0.0', 'all' );
    wp_enqueue_style( 'spark-news-slick', get_template_directory_uri() . '/assets/css/slick.css', array(), '1.0.0', 'all' );
    wp_enqueue_style( 'spark-news-slick-theme', get_template_directory_uri() . '/assets/css/slick-theme.css', array(), '1.0.0', 'all' );
    wp_enqueue_style( 'spark-news-style-css', get_template_directory_uri() . '/style.css', array(), '1.0.0', 'all' );

    $spark_news_check_color = get_theme_mod( 'spark_news_primary_color_setting' );
    if ( !empty( $spark_news_check_color ) ) {
        wp_add_inline_style( 'spark-news-style-css', $spark_news_custom_css );
    }

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
    wp_enqueue_script( 'spark-news-jquery-slick', get_template_directory_uri() . '/assets/js/slick.min.js', array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'masonry' );
    wp_enqueue_script( 'spark-news-jquery-custom', get_template_directory_uri() . '/assets/js/jquery-custom.js', array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'spark-news-marquee', get_template_directory_uri() . '/assets/js/jquery.marquee.min.js', array( 'jquery' ), '1.0.0', true );
}

endif;
add_action( 'wp_enqueue_scripts', 'spark_news_enqueue_cs_js' );

// Admin Scripts
if ( ! function_exists( 'spark_news_admin_scripts' ) ) :
function spark_news_admin_scripts() {
    // For categories
    if( null !== ( $screen = get_current_screen() ) && 'edit-category' !== $screen->id ) {
        return;
    }
    wp_enqueue_media();
    wp_enqueue_script( 'spark-news-jquery-admin-script', get_template_directory_uri() . '/assets/js/jquery-admin.js', array( 'jquery' ), '', true );
    wp_localize_script( 'spark-news-jquery-admin-notice-script', 'ct_ajax_objects',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
endif;
add_action( 'admin_enqueue_scripts', 'spark_news_admin_scripts' );

